package jpos.config.simple.editor.i18n;

///////////////////////////////////////////////////////////////////////////////
//
// This software is provided "AS IS".  The JavaPOS working group (including
// each of the Corporate members, contributors and individuals)  MAKES NO
// REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
// EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGEMENT. The JavaPOS working group shall not be liable for
// any damages suffered as a result of using, modifying or distributing this
// software or its derivatives. Permission to use, copy, modify, and distribute
// the software and its documentation for any purpose is hereby granted. 
//
///////////////////////////////////////////////////////////////////////////////

import java.util.ListResourceBundle;

import jpos.config.simple.editor.*;

/**
 * This is the resource class for all classes in jpos.config.simple.editor package
 * for all German locals
 * @author Kriselie D Rivera
 * @author E. Michael Maximilien (maxim@us.ibm.com)
 * @since 1.3 (SF 2K meeting)
 */
public class JposEntryEditorRc_de extends JposEntryEditorRc
{

   /** @return the contents Object array with translated array */
   public Object[][] getContents() { return contents; }


   /** Final static double array with I18N translated objects */
   protected static final Object[][] contents = 
   {
      //LOCALIZE THIS

      //---------------------------------------------------------------------------
      //Messages UI
      
      { JposEntryEditorRcKeys.JPOSENTRYEDITOR_STRING_KEY,              
        "JposEntryEditor" },

      { JposEntryEditorRcKeys.FILE_STRING_KEY,              
        "File" },

      { JposEntryEditorRcKeys.NEW_STRING_KEY,              
        "New" },

      { JposEntryEditorRcKeys.OPEN_STRING_KEY,              
        "Open..." },

      { JposEntryEditorRcKeys.SAVE_STRING_KEY,              
        "Save" },

      { JposEntryEditorRcKeys.SAVEAS_STRING_KEY,              
        "Save As..." },

      { JposEntryEditorRcKeys.LOADJPOSREGISTRY_STRING_KEY,
        "Load JposRegistry" },

      { JposEntryEditorRcKeys.SAVEJPOSREGISTRY_STRING_KEY,              
        "Save JposRegistry" },

      { JposEntryEditorRcKeys.CLOSEJPOSREGISTRY_STRING_KEY,              
        "Close JposRegistry" },

      { JposEntryEditorRcKeys.CLOSE_STRING_KEY,              
        "Close" },

      { JposEntryEditorRcKeys.EXIT_STRING_KEY,              
        "Exit" },

      { JposEntryEditorRcKeys.EDIT_STRING_KEY,              
        "Edit" },

      { JposEntryEditorRcKeys.ADD_STRING_KEY,              
        "Add..." },

      { JposEntryEditorRcKeys.COPY_STRING_KEY,              
        "Copy..." },

      { JposEntryEditorRcKeys.DELETE_STRING_KEY,              
        "Delete..." },

      { JposEntryEditorRcKeys.MODIFY_STRING_KEY,              
        "Modify" },

      { JposEntryEditorRcKeys.PREFERENCES_STRING_KEY,              
        "Preferences..." },

      { JposEntryEditorRcKeys.HELP_STRING_KEY,              
        "Help" },

      { JposEntryEditorRcKeys.ABOUT_STRING_KEY,              
        "About..." },
 
      { JposEntryEditorRcKeys.JPOSENTRIES_STRING_KEY,           
        "Jpos Entries"},
                      
      { JposEntryEditorRcKeys.PROPERTIES_STRING_KEY,
        "Properties" },

      { JposEntryEditorRcKeys.IMPORTANTPROPERTIES_STRING_KEY,
        "Important Properties" },

      { JposEntryEditorRcKeys.CURRENTPROPERTY_STRING_KEY,
        "Current Property" },

      { JposEntryEditorRcKeys.PROPERTYNAME_STRING_KEY,
        "Property Name"},

      { JposEntryEditorRcKeys.PROPERTYVALUE_STRING_KEY,
        "Property Value"},

      { JposEntryEditorRcKeys.PROPERTYTYPE_STRING_KEY,
        "Property Type"},

      { JposEntryEditorRcKeys.OTHERPROPERTIES_STRING_KEY,
        "Other Properties"},

      { JposEntryEditorRcKeys.MESSAGES_STRING_KEY,
        "Messages"},

      { JposEntryEditorRcKeys.TOPOFFILE_STRING_KEY,
        "------------ Top of File ------------\n"},

      //--------------------------------------------------------------
      //Messages Main Frame
      
      { JposEntryEditorRcKeys.NEWFILEMENU_STRING_KEY,
        "Creates a new JposEntry serialization file"},

      { JposEntryEditorRcKeys.NEWFILEBUTTON_STRING_KEY,
        "Creates a new JposEntry serialization file"},

      { JposEntryEditorRcKeys.OPENFILEMENU_STRING_KEY,
        "Open an existing JposEntry serialization file"},


      { JposEntryEditorRcKeys.OPENFILEBUTTON_STRING_KEY,
        "Open an existing JposEntry serialization file"},


      { JposEntryEditorRcKeys.SAVEFILEMENU_STRING_KEY,
        "Save the currently open JposEntry serialization file"},

      { JposEntryEditorRcKeys.SAVEFILEBUTTON_STRING_KEY,
        "Save the currently open JposEntry serialization file"},
      
      { JposEntryEditorRcKeys.SAVEASFILEMENU_STRING_KEY,
        "Prompts user to save the currently open JposEntry serialization file"},
      
      { JposEntryEditorRcKeys.SAVEASFILEBUTTON_STRING_KEY,
        "Prompts user to save the currently open JposEntry serialization file"},

      { JposEntryEditorRcKeys.LOADJPOSREGISTRYMENU_STRING_KEY,
        "Load the entries from the current JposRegistry"},
      
      { JposEntryEditorRcKeys.SAVEJPOSREGISTRYMENU_STRING_KEY,
        "Save the current entries to the current JposRegistry"},

      { JposEntryEditorRcKeys.CLOSEJPOSREGISTRYMENU_STRING_KEY,
        "Close the current JposRegistry"},

      { JposEntryEditorRcKeys.CLOSEFILEMENU_STRING_KEY,
        "Closes the currently open JposEntry serialization file"},

      { JposEntryEditorRcKeys.CLOSEFILEBUTTON_STRING_KEY,
        "Closes the currently open JposEntry serialization file"},

      { JposEntryEditorRcKeys.EXITMENU_STRING_KEY,
        "Exits the editor"},

      { JposEntryEditorRcKeys.ADDMENU_STRING_KEY,
        "Adds a new JposEntry"},

      { JposEntryEditorRcKeys.COPYMENU_STRING_KEY,
        "Copies a JposEntry"},

      { JposEntryEditorRcKeys.ADDBUTTON_STRING_KEY,
        "Adds a new JposEntry"},

      { JposEntryEditorRcKeys.DELETEMENU_STRING_KEY,
        "Removes the currently selected JposEntry"},

      { JposEntryEditorRcKeys.DELETEBUTTON_STRING_KEY,
        "Removes the currently selected JposEntry"},

      { JposEntryEditorRcKeys.MODIFYMENU_STRING_KEY,
        "Modifies the currently selected JposEntry"},

      { JposEntryEditorRcKeys.MODIFYBUTTON_STRING_KEY,
        "Modifies the currently selected JposEntry"},

      { JposEntryEditorRcKeys.ABOUTMENU_STRING_KEY,
        "Shows about info on the JposEntryEditor"},

      { JposEntryEditorRcKeys.ABOUTBUTTON_STRING_KEY,
        "Shows about info on the JposEntryEditor"},

      { JposEntryEditorRcKeys.CONFIGMENU_STRING_KEY,
        "Modifies preferences for the JposEntry Editor"},

      { JposEntryEditorRcKeys.CONFIGBUTTON_STRING_KEY,
        "Modifies preferences for the JposEntry Editor"},

      //--------------------------------------------------------------
      
      { JposEntryEditorRcKeys.SELECTENTRYTODELETE_STRING_KEY,
        "Please select an entry to delete."},

      { JposEntryEditorRcKeys.DELETEENTRYWITHLOGNAM_STRING_KEY,
        "Delete JposEntry with logicalName: "},

      { JposEntryEditorRcKeys.SELECTENTRYTOMODIFY_STRING_KEY,
        "Select an entry to modify."},

      { JposEntryEditorRcKeys.SAVECURRENTCHANGES_STRING_KEY,
        "Save current changes before exiting? "},

      { JposEntryEditorRcKeys.ENTERNEWLOGICALNAME_STRING_KEY,
        "Please enter a new logical name for this JposEntry." },

      //--------------------------------------------------------------
      //Open Messages

      { JposEntryEditorRcKeys.OPENFILE_STRING_KEY,
        "Opened file: {0} with {1} entry(ies)."},

      { JposEntryEditorRcKeys.NOENTRIES_STRING_KEY,
        "No entries were found in file "},

      { JposEntryEditorRcKeys.ERROR_STRING_KEY,
        "ERROR unserializing entries in file: "},

      //--------------------------------------------------------------
      //Close Messages

      { JposEntryEditorRcKeys.CLOSECHANGES_STRING_KEY,
        "Do you want to save your changes?"},

      { JposEntryEditorRcKeys.CLOSEDFILE_STRING_KEY,
        "Closed file without saving changes."},

      { JposEntryEditorRcKeys.CLOSEDFILEWITHCHANGES_STRING_KEY,
        "Closed file: {0} with {1} entry(ies)" },

     //--------------------------------------------------------------
     //Save Messages

     { JposEntryEditorRcKeys.ERRORSAVING_STRING_KEY,
       "ERROR serializing entries in file: "},

     { JposEntryEditorRcKeys.SAVEDFILE_STRING_KEY,
       "Saved file: {0} with {1} entry(ies)"},


     //--------------------------------------------------------------
     //Save As Messages

     { JposEntryEditorRcKeys.SAVECHANGES_STRING_KEY,
       "Do you want to save the entries?"},

     { JposEntryEditorRcKeys.CHANGESLOST_STRING_KEY,
       "Your current changes will be lost!\nDo you want to continue?"},

     //--------------------------------------------------------------
     //LoadJposRegistry Messages

     { JposEntryEditorRcKeys.LOADENTRIESJPOSREGISTRY_STRING_KEY,
       "Loaded current JposEntryRegistry with {0} entry(ies)"},

     { JposEntryEditorRcKeys.NOENTRIESJPOSREGISTRY_STRING_KEY,
        "No entries were found in current JposEntryRegistry"},

     //------------------------------------------------------------------
     //SaveJposRegistry Messages
        
     { JposEntryEditorRcKeys.ERRORSAVINGJPOSREGISTRY_STRING_KEY,
       "Error saving JposEntryRegistry entries"},

     { JposEntryEditorRcKeys.SAVEDCHANGESTOREGISTRY_STRING_KEY,
       "Saved {0} entry(ies) to current JposEntryRegistry"},
       
     //--------------------------------------------------------------  
     //CloseJposRegistry Messages
       
     { JposEntryEditorRcKeys.SAVECHANGESJPOSREGISTRY_STRING_KEY,
       "Save changes to the JposEntryRegistry?"},

     { JposEntryEditorRcKeys.CLOSEDJPOSREGISTRY_STRING_KEY,
       "Closed current JposEntryRegistry."},

     //--------------------------------------------------------------
     //isCurrentLnFMetal Message

     { JposEntryEditorRcKeys.METAL_STRING_KEY,
       "Metal"},

     //---------------------------------------------------------------
     //AboutDialog Class
       
     { JposEntryEditorRcKeys.ABOUTTITLE_STRING_KEY,
       "About"},

     { JposEntryEditorRcKeys.ABOUTTITLELABEL_STRING_KEY,
       "About JposEntryEditor " + jpos.loader.Version.getVersionString() },

     { JposEntryEditorRcKeys.OKBUTTON_STRING_KEY,
       "OK"},

     { JposEntryEditorRcKeys.JAVAVERSION_STRING_KEY,
       "Java version:"},

     { JposEntryEditorRcKeys.LABEL_STRING_KEY,
       "Label"},

     { JposEntryEditorRcKeys.DIALOG_STRING_KEY,
       "Dialog"},

     { JposEntryEditorRcKeys.OS_STRING_KEY,
       "Os:"},

     { JposEntryEditorRcKeys.ARCHITECTURE_STRING_KEY,
       "Architecture:"},

     { JposEntryEditorRcKeys.TOTALMEMORY_STRING_KEY,
       "Total Memory:"},

     { JposEntryEditorRcKeys.FREEMEMORY_STRING_KEY,
       "Free Memory:"},

     { JposEntryEditorRcKeys.BYTES_STRING_KEY,
       "bytes"},

     //--------------------------------------------------------------
     //EditJposEntryDialog class

     { JposEntryEditorRcKeys.EDITTITLE_STRING_KEY,
       "Edit a JposEntry"},

     { JposEntryEditorRcKeys.ADDPROP_STRING_KEY,
       "Add a property"},

     { JposEntryEditorRcKeys.MODIFYPROP_STRING_KEY,
       "Modify a property"},
      
     { JposEntryEditorRcKeys.DELETEPROP_STRING_KEY,
       "Delete a property"},

     { JposEntryEditorRcKeys.DELETEJPOSENTRY_STRING_KEY,
       "Delete JposEntry with logical name: "},

     { JposEntryEditorRcKeys.VALIDNAME_STRING_KEY,
       "Need a valid logical name."},

     { JposEntryEditorRcKeys.VALIDCLASS_STRING_KEY,
       "Need a valid serviceInstanceFactoryClass."},

     { JposEntryEditorRcKeys.UNKNOWN_STRING_KEY,
       "Unknown"},

     { JposEntryEditorRcKeys.USEDNAME_STRING_KEY,
       "This logical name is already used by another entry.\nPlease enter another one. " , "JposEntryEditor"},

     { JposEntryEditorRcKeys.CANCELBUTTON_STRING_KEY,
       "Cancel"},

     //--------------------------------------------------------------
     //EditJposEntryPropDialog class


     { JposEntryEditorRcKeys.EDITPROPTITLE_STRING_KEY,
       "Edit Property"},

     { JposEntryEditorRcKeys.EDITPROPERTYNAME_STRING_KEY,
       "Property Name:"},

     { JposEntryEditorRcKeys.EDITPROPERTYVALUE_STRING_KEY,
       "Property Value:"},

     { JposEntryEditorRcKeys.EDITPROPERTYTYPE_STRING_KEY,
       "Property Types:"},

     { JposEntryEditorRcKeys.EDITINVALIDPROPERTY_STRING_KEY,
       "Invalid property:"},

     { JposEntryEditorRcKeys.PROPERTYDEFINED_STRING_KEY,
       "This property is already defined in the JposEntry"},

     { JposEntryEditorRcKeys.EDITVALIDNAME_STRING_KEY,
       "Need a valid name and value for a JposEntryProp"},
      
     { JposEntryEditorRcKeys.NOTCOMPATIBLE_STRING_KEY,
       "Value is not compatible with value type!"},

     //--------------------------------------------------------------
     //JposEntryEditorConfig class
      
     { JposEntryEditorRcKeys.ERRORSAVINGFILE_STRING_KEY,
       "Error saving the file"},
     
     //--------------------------------------------------------------
     //JposEntryEditorConfigDialog class


     { JposEntryEditorRcKeys.JPOSENTRYPREFERENCES_STRING_KEY,
       "JposEntry Editor Preferences"},

     { JposEntryEditorRcKeys.TREEVIEW_STRING_KEY,
       "Tree View"},

     { JposEntryEditorRcKeys.LOOKANDFEEL_STRING_KEY,
       "Look and Feel"},

     { JposEntryEditorRcKeys.AUTOEXPAND_STRING_KEY,
       "Auto expand tree"},

     { JposEntryEditorRcKeys.SORTED_STRING_KEY,
       "Sorted"},

     { JposEntryEditorRcKeys.CATEGORY_STRING_KEY,
       "Category"},

     { JposEntryEditorRcKeys.MANUFACTURER_STRING_KEY,
       "Manufacturer"},

     { JposEntryEditorRcKeys.JAVALOOKANDFEEL_STRING_KEY,
       "Java Look and Feel"},

     { JposEntryEditorRcKeys.NATIVELOOKANDFEEL_STRING_KEY,
       "Native Look and Feel"},

     { JposEntryEditorRcKeys.VIEWOPTIONS_STRING_KEY,
       "View Options" },

     { JposEntryEditorRcKeys.SHOWINTEGERSASHEX_STRING_KEY,
       "Show integers as hex" },

     { JposEntryEditorRcKeys.AUTOLOADREGISTRY_STRING_KEY,
       "Auto load JposRegistry" },

     //--------------------------------------------------------------
     //JposEntryTreePanel class

     { JposEntryEditorRcKeys.ENTRIES_STRING_KEY,
       "Entries"},

     //--------------------------------------------------------------
     //JposEntryViewPanel class

     { JposEntryEditorRcKeys.LOGICALNAMETEXT_STRING_KEY,
       "The JposEntry logicalName property"},

     { JposEntryEditorRcKeys.SIFACTORYCLASSTEXT_STRING_KEY,
       "The JposEntry serviceInstanceFactoryClass property"},

     { JposEntryEditorRcKeys.CURRENTPROPNAMETEXT_STRING_KEY,
       "The currently selected property name"},
      
     { JposEntryEditorRcKeys.CURRENTPROPVALUETEXT_STRING_KEY,
       "The currently selected property value"},
   
     //--------------------------------------------------------------
     //JposEntryProp class

      { JposEntryEditorRcKeys.SETNAMEEXCEPTION_STRING_KEY,
        "Invalid argument JposEntryProp.setName( String s )"},

    //-----------------------------------------------------------------------
    // StandardPropsViewPanel class

      {JposEntryEditorRcKeys.CREATION_PROPS_STRING_KEY,
       "Creation Properties"},

      {JposEntryEditorRcKeys.JPOS_PROPS_STRING_KEY,
       "JavaPOS Properties"},

      {JposEntryEditorRcKeys.VENDOR_PROPS_STRING_KEY,
       "Vendor Properties"},

      {JposEntryEditorRcKeys.PRODUCT_PROPS_STRING_KEY,
       "Product Properties"},

      {JposEntryEditorRcKeys.PROPERTY_NAME_STRING_KEY,
       "Property Name"},

      {JposEntryEditorRcKeys.PROPERTY_VALUE_STRING_KEY,
       "Property Value"}

   //END OF MATERIAL TO LOCALIZE
   };
}
